/*
 * Purple - Internet Messaging Library
 * Copyright (C) Pidgin Developers <devel@pidgin.im>
 *
 * Purple is the legal property of its developers, whose names are too numerous
 * to list here. Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
# error "only <purple.h> may be included directly"
#endif

#ifndef PURPLE_COMMAND_MANAGER_PRIVATE_H
#define PURPLE_COMMAND_MANAGER_PRIVATE_H

#include <glib.h>

G_BEGIN_DECLS

/**
 * purple_command_manager_startup: (skip)
 *
 * Initializes the default [class@CommandManager].
 *
 * Since: 3.0
 */
G_GNUC_INTERNAL
void purple_command_manager_startup(void);

/**
 * purple_command_manager_shutdown: (skip)
 *
 * Cleans up the default [class@CommandManager].
 *
 * Since: 3.0
 */
G_GNUC_INTERNAL
void purple_command_manager_shutdown(void);

G_END_DECLS

#endif /* PURPLE_COMMAND_MANAGER_PRIVATE_H */
