/*
 * Purple - Internet Messaging Library
 * Copyright (C) Pidgin Developers <devel@pidgin.im>
 *
 * Purple is the legal property of its developers, whose names are too numerous
 * to list here. Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
# error "only <purple.h> may be included directly"
#endif

#ifndef PURPLE_CONVERSATION_PROVIDER_PRIVATE_H
#define PURPLE_CONVERSATION_PROVIDER_PRIVATE_H

#include <glib.h>

#include "purplecredentialprovider.h"

G_BEGIN_DECLS

/**
 * purple_credential_provider_activate: (skip)
 * @provider: The #PurpleCredentialProvider instance.
 *
 * Tells a @provider that it has become the active provider.
 *
 * Since: 3.0
 */
G_GNUC_INTERNAL
void purple_credential_provider_activate(PurpleCredentialProvider *provider);

/**
 * purple_credential_provider_deactivate: (skip)
 * @provider: The #PurpleCredentialProvider instance.
 *
 * Tells @provider that another #PurpleCredentialProvider has become the active
 * provider.
 *
 * Since: 3.0
 */
G_GNUC_INTERNAL
void purple_credential_provider_deactivate(PurpleCredentialProvider *provider);

G_END_DECLS

#endif /* PURPLE_CONVERSATION_PROVIDER_PRIVATE_H */
